Bug 59681 - Expose webkitStorageInfo.requestQuota() for Quota API if QUOTA flag is enabled
Summary: Expose webkitStorageInfo.requestQuota() for Quota API if QUOTA flag is enabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Kinuko Yasuda
URL:
Keywords:
Depends on:
Blocks: 60355
  Show dependency treegraph
 
Reported: 2011-04-28 03:02 PDT by Kinuko Yasuda
Modified: 2011-05-18 08:31 PDT (History)
2 users (show)

See Also:


Attachments
Patch (18.76 KB, patch)
2011-04-28 03:13 PDT, Kinuko Yasuda
levin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kinuko Yasuda 2011-04-28 03:02:26 PDT
Expose webkitStorageInfo.requestQuota() for Quota API if QUOTA flag is enabled.

Per public discussion on public-webapps, we should expose the unified quota API (vendor-prefixed one) that allows webapps to request the new storage quota.  Depending on platform it may trigger some notification UI.
http://lists.w3.org/Archives/Public/public-webapps/2011JanMar/0346.html

(StorageInfo's the other method, webkitStorageInfo.queryUsageAndQuota() is already added in issue 58648)
Comment 1 Kinuko Yasuda 2011-04-28 03:13:06 PDT
Created attachment 91457 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-05-01 10:55:25 PDT
Seems this is a new feature and should probably be announced to webkit-dev per the discussion at the contributors meeting.  See bug 59672.
Comment 3 Kinuko Yasuda 2011-05-06 01:54:51 PDT
(In reply to comment #2)
> Seems this is a new feature and should probably be announced to webkit-dev per the discussion at the contributors meeting.  See bug 59672.

Makes sense, I just sent out an email to webkit-dev to announce that we're planning to add the unifeid quota feature to WebKit.  Thanks,
Comment 4 Kinuko Yasuda 2011-05-18 06:37:08 PDT
David, could you or someone take a look at this?  Thanks.

(The feature announce has been made and so far getting no negative feedback)
Comment 5 Kinuko Yasuda 2011-05-18 08:31:57 PDT
Committed r86764: <http://trac.webkit.org/changeset/86764>